## pytables 3.4.4

=== Makefile ===
# This Makefile is only intended to prepare for distribution the PyTables
# sources exported from a repository.  For building and installing PyTables,
# please use ``setup.py`` as described in the ``README.rst`` file.

VERSION = $(shell cat VERSION)
SRCDIRS = src doc
GENERATED = ANNOUNCE.txt
PYTHON = python3
PYPLATFORM = $(shell $(PYTHON) -c "from distutils.util import get_platform; print(get_platform())")
PYVER = $(shell $(PYTHON) -V 2>&1 | cut -c 8-10)
PYBUILDDIR = $(PWD)/build/lib.$(PYPLATFORM)-$(PYVER)
OPT = PYTHONPATH=$(PYBUILDDIR)


.PHONY:		all dist build check heavycheck clean distclean html

all:		$(GENERATED) build
	for srcdir in $(SRCDIRS) ; do $(MAKE) -C $$srcdir $(OPT) $@ ; done

dist:		all
	$(PYTHON) setup.py sdist
	cd dist && md5sum tables-$(VERSION).tar.gz > pytables-$(VERSION).md5 && cd -
	cp RELEASE_NOTES.txt dist/RELEASE_NOTES-$(VERSION).txt
	for srcdir in $(SRCDIRS) ; do $(MAKE) -C $$srcdir $(OPT) $@ ; done

clean:
	rm -rf MANIFEST build dist tmp tables/__pycache__
	rm -rf bench/*.h5 bench/*.prof
	rm -rf examples/*.h5 examples/raw
	rm -f $(GENERATED) tables/*.so a.out
	find . '(' -name '*.py[co]' -o -name '*~' ')' -exec rm '{}' ';'
	for srcdir in $(SRCDIRS) ; do $(MAKE) -C $$srcdir $(OPT) $@ ; done

distclean:	clean
	for srcdir in $(SRCDIRS) ; do $(MAKE) -C $$srcdir $(OPT) $@ ; done
	rm -f tables/_comp_*.c tables/*extension.c
	#git clean -fdx

html: build
	$(MAKE) -C doc $(OPT) html

%:		%.in VERSION
	cat "$<" | sed -e 's/@VERSION@/$(VERSION)/g' > "$@"

build:
	$(PYTHON) setup.py build

check: build
	cd build/lib.*-$(PYVER) && env PYTHONPATH=. $(PYTHON) tables/tests/test_all.py

heavycheck: build
	cd build/lib.*-$(PYVER) && env PYTHONPATH=. $(PYTHON) tables/tests/test_all.py --heavy

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext all dist distclean

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pytables.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pytables.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pytables"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pytables"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

VERSION = $(shell cat ../VERSION)

all: html
	rm -rf html
	mv  $(BUILDDIR)/html .

dist: all latexpdf
	rm -rf usersguide-$(VERSION).pdf
	mv  $(BUILDDIR)/latex/usersguide-$(VERSION).pdf .
	mkdir -p ../dist
	cp usersguide-$(VERSION).pdf ../dist/pytablesmanual-$(VERSION).pdf
	tar cvzf ../dist/pytablesmanual-$(VERSION)-html.tar.gz html

distclean: clean
	-rm -rf html usersguide-$(VERSION).pdf

=== debian/changelog ===
pytables (3.4.4-2) unstable; urgency=medium

  * Team upload.
  * Standard version bumped to 4.3.0, no change.
  * debian/patches:
    - new 0005-Comaptibility-with-numpy-1.16.patch:
      fixes an issue with not writeable buffers.
      Closes: #917666.
    - new 0006-Fix-LZO2-detection.patch
  * debian/control:
    - re-order dependencies
  * Add gbp.conf file.
  * Switch to pybuild.
  * Set compat to 12.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 02 Jan 2019 09:48:48 +0000

pytables (3.4.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches
    - drop 0005-Compatibility-with-NumPy-1.14.3.patch.
      Applied upstream.
    - refresh remaining pathces.
  * debian/changelog
    - strip trailing spaces
    - update copyright dates

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 16 Jun 2018 10:53:16 +0000

pytables (3.4.3-2) unstable; urgency=medium

  * debian/patches
    - new 0005-Compatibility-with-NumPy-1.14.3.patch (Closes: #898577)
  * debian control
    - drop ancient X-Python-Version fields

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 14 May 2018 22:21:42 +0000

pytables (3.4.3-1) unstable; urgency=medium

  * New upstream release.
  * Standard version bump to v4.1.4 (no change)
  * Add upstream metadata.
  * Updated debian/copyright file.
  * debian/control
    - update Vcs-* fields
  * debian/patches
    - drop 0004-unicode-charecter-for-latexpdf.patch, applied upstream
    - drop 0005-usepackage-threeparttable.patch, applied upstream
    - drop debian/patches/0006-Use-mock-form-stdlib.patch, applied upstream
    - new 0004-remove-gtags.patch to avoid privacy-breach-generic
    - refresh all remaining patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 22 Apr 2018 16:48:11 +0000

=== debian/control ===
Source: pytables
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>,
           Yaroslav Halchenko <debian@onerussian.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 12),
               dh-python,
               locales,
               libhdf5-dev,
               python-all-dev,
               python-all-dbg,
               python3-all-dev,
               python3-all-dbg,
               python-setuptools,
               python3-setuptools,
               python-six,
               python3-six,
               python-numpy,
               python-numpy-dbg,
               python3-numpy,
               python3-numpy-dbg,
               python-numexpr,
               python-numexpr-dbg,
               python3-numexpr,
               python3-numexpr-dbg,
               python-mock,
               cython,
               cython-dbg,
               cython3,
               cython3-dbg,
               zlib1g-dev,
               liblzo2-dev,
               libblosc-dev,
               liblz4-dev (>= 0.0~r122),
               libsnappy-dev,
               libbz2-dev,
               libzstd-dev,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-ipython,
               python3-numpydoc,
               texlive-generic-extra,
               texlive-latex-recommended,
               texlive-latex-extra,
               texlive-fonts-recommended,
               libjs-jquery-cookie,
               libjs-mathjax,
               latexmk
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/science-team/pytables
Vcs-Git: https://salsa.debian.org/science-team/pytables.git
Homepage: http://www.pytables.org

Package: python-tables
Architecture: all
Depends: python-tables-lib (>= ${source:Version}),
         python-tables-lib (<< ${source:Version}.1~),
         python-tables-data (= ${source:Version}),
         python-numexpr,
         python-mock,
         ${python:Depends},
         ${misc:Depends}
Suggests: python-tables-doc (>= 3.4.2-3),
          python-netcdf4,
          vitables
Description: hierarchical database for Python based on HDF5
 PyTables is a package for managing hierarchical datasets and designed
 to efficiently cope with extremely large amounts of data.
 .
 It is built on top of the HDF5 library and the NumPy package. It
 features an object-oriented interface that, combined with C extensions
 for the performance-critical parts of the code (generated using
 Cython), makes it a fast, yet extremely easy to use tool for
 interactively save and retrieve very large amounts of data. One
 important feature of PyTables is that it optimizes memory and disk
 resources so that they take much less space (between a factor 3 to 5,
 and more if the data is compressible) than other solutions, like for
 example, relational or object oriented databases.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy objects.
 .
 This is the Python 2 version of the package.

Package: python-tables-lib
Architecture: any
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: python-tables (= ${source:Version})
Description: hierarchical database for Python based on HDF5 (extension)
 PyTables is a package for managing hierarchical datasets and designed
 to efficiently cope with extremely large amounts of data.
 .
 It is built on top of the HDF5 library and the NumPy package. It
 features an object-oriented interface that, combined with C extensions
 for the performance-critical parts of the code (generated using
 Cython), makes it a fast, yet extremely easy to use tool for
 interactively save and retrieve very large amounts of data. One
 important feature of PyTables is that it optimizes memory and disk
 resources so that they take much less space (between a factor 3 to 5,
 and more if the data is compressible) than other solutions, like for
 example, relational or object oriented databases.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy objects.
 .
 This package contains the extension built for the Python 2 interpreter.

Package: python-tables-dbg
Architecture: any
Section: debug
Depends: python-tables (= ${source:Version}),
         python-tables-lib (= ${binary:Version}),
         python-dbg,
         python-numpy-dbg,
         python-numexpr-dbg,
         ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: python-tables-doc,
          python-netcdf4
Description: hierarchical database for Python based on HDF5 (debug extension)
 PyTables is a package for managing hierarchical datasets and designed
 to efficiently cope with extremely large amounts of data.
 .
 It is built on top of the HDF5 library and the NumPy package. It
 features an object-oriented interface that, combined with C extensions
 for the performance-critical parts of the code (generated using
 Cython), makes it a fast, yet extremely easy to use tool for
 interactively save and retrieve very large amounts of data. One
 important feature of PyTables is that it optimizes memory and disk
 resources so that they take much less space (between a factor 3 to 5,
 and more if the data is compressible) than other solutions, like for
 example, relational or object oriented databases.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy objects.
 .
 This package contains the extension built for the Python 2 debug interpreter.

Package: python3-tables
Architecture: all
Depends: python3-tables-lib (>= ${source:Version}),
         python3-tables-lib (<< ${source:Version}.1~),
         python-tables-data (= ${source:Version}),
         python3-numexpr,
         ${python3:Depends},
         ${misc:Depends}
Suggests: python-tables-doc (>> 3.4.2-3),
          python3-netcdf4,
          vitables
Replaces: python-tables (<< 3.4.2-1)
Breaks: python-tables (<< 3.4.2-1)
Description: hierarchical database for Python3 based on HDF5
 PyTables is a package for managing hierarchical datasets and designed
 to efficiently cope with extremely large amounts of data.
 .
 It is built on top of the HDF5 library and the NumPy package. It
 features an object-oriented interface that, combined with C extensions
 for the performance-critical parts of the code (generated using
 Cython), makes it a fast, yet extremely easy to use tool for
 interactively save and retrieve very large amounts of data. One
 important feature of PyTables is that it optimizes memory and disk
 resources so that they take much less space (between a factor 3 to 5,
 and more if the data is compressible) than other solutions, like for
 example, relational or object oriented databases.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy objects.
 .
 This is the Python 3 version of the package.

Package: python3-tables-lib
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: python3-tables (= ${source:Version})
Description: hierarchical database for Python3 based on HDF5 (extension)
 PyTables is a package for managing hierarchical datasets and designed
 to efficiently cope with extremely large amounts of data.
 .
 It is built on top of the HDF5 library and the NumPy package. It
 features an object-oriented interface that, combined with C extensions
 for the performance-critical parts of the code (generated using
 Cython), makes it a fast, yet extremely easy to use tool for
 interactively save and retrieve very large amounts of data. One
 important feature of PyTables is that it optimizes memory and disk
 resources so that they take much less space (between a factor 3 to 5,
 and more if the data is compressible) than other solutions, like for
 example, relational or object oriented databases.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy objects.
 .
 This package contains the extension built for the Python 3 interpreter.

Package: python3-tables-dbg
Architecture: any
Section: debug
Depends: python3-tables (= ${source:Version}),
         python3-tables-lib (= ${binary:Version}),
         python3-dbg,
         python3-numpy-dbg,
         python3-numexpr-dbg,
         ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: python-tables-doc,
          python3-netcdf4
Description: hierarchical database for Python 3 based on HDF5 (debug extension)
 PyTables is a package for managing hierarchical datasets and designed
 to efficiently cope with extremely large amounts of data.
 .
 It is built on top of the HDF5 library and the NumPy package. It
 features an object-oriented interface that, combined with C extensions
 for the performance-critical parts of the code (generated using
 Cython), makes it a fast, yet extremely easy to use tool for
 interactively save and retrieve very large amounts of data. One
 important feature of PyTables is that it optimizes memory and disk
 resources so that they take much less space (between a factor 3 to 5,
 and more if the data is compressible) than other solutions, like for
 example, relational or object oriented databases.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy objects.
 .
 This package contains the extension built for the Python 3 debug interpreter.

Package: python-tables-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax,
         libjs-jquery-cookie
Suggests: xpdf | pdf-viewer,
          www-browser
Replaces: python-tables (<< 3.4.2-3)
Breaks: python-tables (<< 3.4.2-3)
Description: hierarchical database for Python based on HDF5 - documentation

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie

include /usr/share/dpkg/pkg-info.mk
BUILD_DATE="$(shell date --utc --date="${SOURCE_DATE_EPOCH:-$(date +%s)}" +%Y-%m-%d)"
SPHINXOPTS := -D today=\"$(BUILD_DATE)\"
SPHINXOPTS += -D html_last_updated_fmt=\"$(BUILD_DATE)\"

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
  export HDF5_DIR := /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
endif

export PYBUILD_INSTALL_ARGS_python3-dbg=--install-scripts=/usr/bin-dbg/


%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	$(MAKE) ANNOUNCE.txt
	$(MAKE) -C src all
	dh_auto_build --buildsystem=pybuild
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd $(shell ls -1d $(CURDIR)/.pybuild/cpython3_3.?/build | tail -n 1) && \
		env PYTHONPATH=. python3 -m sphinx -M html $(CURDIR)/doc/source $(CURDIR)/doc/build -N $(SPHINXOPTS)
	cd $(shell ls -1d $(CURDIR)/.pybuild/cpython3_3.?/build | tail -n 1) && \
		env PYTHONPATH=. python3 -m sphinx -M latexpdf $(CURDIR)/doc/source $(CURDIR)/doc/build -N $(SPHINXOPTS)
	mv doc/build/html doc/html
	mv doc/build/latex/usersguide-*.pdf doc/usersguide.pdf
else
	mkdir -p doc/html
	touch doc/usersguide.pdf
endif


override_dh_python2:
	dh_python2
	dh_numpy


override_dh_python3:
	dh_python3
	dh_numpy3


override_dh_strip:
	dh_strip -ppython-tables-lib  --dbg-package=python-tables-dbg
	dh_strip -ppython3-tables-lib --dbg-package=python3-tables-dbg


override_dh_auto_clean:
	# Avoid unnecessary cythonization (see
	# https://github.com/PyTables/PyTables/issues/122)
	#dh_auto_clean --buildsystem=pybuild
	$(MAKE) distclean
	$(RM) -r doc/*.pdf tables.egg-info tmp-locales


override_dh_installchangelogs:
	dh_installchangelogs -k RELEASE_NOTES.txt


override_dh_compress:
	dh_compress -X.txt -X.pdf -X.py -X.h5

## pytables 3.5.2

=== requirements.txt ===
# Keep in sync with tables/req_versions.py and
# doc/source/usersguide/installation.rst
numpy>=1.9.3
numexpr>=2.6.2
six>=1.9.0
mock>=2.0

=== debian/changelog ===
pytables (3.5.2-3) unstable; urgency=medium

  * debian/rules:
    - improve clean target
    - ensure reproducible builds
    - fix sphinx build command

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 16 Aug 2019 17:53:28 +0000

pytables (3.5.2-2) unstable; urgency=medium

  * debian/control:
    - replace the deprecated build dependency texlive-generic-extra,
      with texlive-plain-generic (Closes: #933279)
    - sort dependency lists
  * debian/patches:
    - new 0006-Skip-index-backcompat-tests-on-bingendian.patch
  * drop debian/compat file, and depend on debelper-compat.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 03 Aug 2019 16:24:07 +0000

pytables (3.5.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - standard version bumped to 4.4.0, no change
    - remove unnecessary greater-than versioned dependency for liblz4-dev
  * debian/rules:
    - drop -pie from hardening flags
  * Use secure URI in Homepage field.
  * Clean links to duplicated files in debian/python-tables-doc.links
  * debian/patches:
    - drop 0005-Comaptibility-with-numpy-1.16.patch and
      debian/patches/0006-Fix-LZO2-detection.patch: applied upstream
    - new 0005-Drop-mock-for-requirements.txt.patch
    - refresh remaining patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 14 Jul 2019 09:32:15 +0000

=== debian/control ===
--- 
+++ 
@@ -4,65 +4,65 @@
            Yaroslav Halchenko <debian@onerussian.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 12),
-               dh-python,
-               locales,
-               libhdf5-dev,
-               python-all-dev,
-               python-all-dbg,
-               python3-all-dev,
-               python3-all-dbg,
-               python-setuptools,
-               python3-setuptools,
-               python-six,
-               python3-six,
-               python-numpy,
-               python-numpy-dbg,
-               python3-numpy,
-               python3-numpy-dbg,
-               python-numexpr,
-               python-numexpr-dbg,
-               python3-numexpr,
-               python3-numexpr-dbg,
-               python-mock,
-               cython,
+Build-Depends: cython,
                cython-dbg,
                cython3,
                cython3-dbg,
-               zlib1g-dev,
+               debhelper-compat (= 12),
+               dh-python,
+               latexmk,
+               libblosc-dev,
+               libbz2-dev,
+               libhdf5-dev,
+               libjs-jquery-cookie,
+               libjs-mathjax,
+               liblz4-dev,
                liblzo2-dev,
-               libblosc-dev,
-               liblz4-dev (>= 0.0~r122),
                libsnappy-dev,
-               libbz2-dev,
                libzstd-dev,
+               locales,
+               python-all-dev,
+               python-all-dbg,
+               python-mock,
+               python-numexpr,
+               python-numexpr-dbg,
+               python-numpy,
+               python-numpy-dbg,
+               python-setuptools,
+               python-six,
+               python3-all-dev,
+               python3-all-dbg,
+               python3-ipython,
+               python3-numexpr,
+               python3-numexpr-dbg,
+               python3-numpy,
+               python3-numpy-dbg,
+               python3-numpydoc,
                python3-sphinx,
                python3-sphinx-rtd-theme,
-               python3-ipython,
-               python3-numpydoc,
-               texlive-generic-extra,
+               python3-setuptools,
+               python3-six,
+               texlive-fonts-recommended,
                texlive-latex-recommended,
                texlive-latex-extra,
-               texlive-fonts-recommended,
-               libjs-jquery-cookie,
-               libjs-mathjax,
-               latexmk
-Standards-Version: 4.3.0
+               texlive-plain-generic,
+               zlib1g-dev
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/science-team/pytables
 Vcs-Git: https://salsa.debian.org/science-team/pytables.git
-Homepage: http://www.pytables.org
+Homepage: https://www.pytables.org
 
 Package: python-tables
 Architecture: all
-Depends: python-tables-lib (>= ${source:Version}),
+Depends: ${misc:Depends},
+         ${python:Depends},
+         python-mock,
+         python-numexpr,
+         python-tables-lib (>= ${source:Version}),
          python-tables-lib (<< ${source:Version}.1~),
-         python-tables-data (= ${source:Version}),
-         python-numexpr,
-         python-mock,
-         ${python:Depends},
-         ${misc:Depends}
-Suggests: python-tables-doc (>= 3.4.2-3),
-          python-netcdf4,
+         python-tables-data (= ${source:Version})
+Suggests: python-netcdf4,
+          python-tables-doc (>= 3.4.2-3),
           vitables
 Description: hierarchical database for Python based on HDF5
  PyTables is a package for managing hierarchical datasets and designed
@@ -91,9 +91,9 @@
 
 Package: python-tables-lib
 Architecture: any
-Depends: ${python:Depends},
-         ${shlibs:Depends},
-         ${misc:Depends}
+Depends: ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends}
 Recommends: python-tables (= ${source:Version})
 Description: hierarchical database for Python based on HDF5 (extension)
  PyTables is a package for managing hierarchical datasets and designed
@@ -123,16 +123,16 @@
 Package: python-tables-dbg
 Architecture: any
 Section: debug
-Depends: python-tables (= ${source:Version}),
-         python-tables-lib (= ${binary:Version}),
+Depends: ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends},
          python-dbg,
          python-numpy-dbg,
          python-numexpr-dbg,
-         ${python:Depends},
-         ${shlibs:Depends},
-         ${misc:Depends}
-Suggests: python-tables-doc,
-          python-netcdf4
+         python-tables (= ${source:Version}),
+         python-tables-lib (= ${binary:Version})
+Suggests: python-netcdf4,
+          python-tables-doc
 Description: hierarchical database for Python based on HDF5 (debug extension)
  PyTables is a package for managing hierarchical datasets and designed
  to efficiently cope with extremely large amounts of data.
@@ -160,47 +160,47 @@
 
 Package: python3-tables
 Architecture: all
-Depends: python3-tables-lib (>= ${source:Version}),
-         python3-tables-lib (<< ${source:Version}.1~),
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         python3-numexpr,
          python-tables-data (= ${source:Version}),
-         python3-numexpr,
+         python3-tables-lib (>= ${source:Version}),
+         python3-tables-lib (<< ${source:Version}.1~)
+Suggests: python3-netcdf4,
+          python-tables-doc (>> 3.4.2-3),
+          vitables
+Breaks: python-tables (<< 3.4.2-1)
+Replaces: python-tables (<< 3.4.2-1)
+Description: hierarchical database for Python3 based on HDF5
+ PyTables is a package for managing hierarchical datasets and designed
+ to efficiently cope with extremely large amounts of data.
+ .
+ It is built on top of the HDF5 library and the NumPy package. It
+ features an object-oriented interface that, combined with C extensions
+ for the performance-critical parts of the code (generated using
+ Cython), makes it a fast, yet extremely easy to use tool for
+ interactively save and retrieve very large amounts of data. One
+ important feature of PyTables is that it optimizes memory and disk
+ resources so that they take much less space (between a factor 3 to 5,
+ and more if the data is compressible) than other solutions, like for
+ example, relational or object oriented databases.
+ .
+  - Compound types (records) can be used entirely from Python (i.e. it
+    is not necessary to use C for taking advantage of them).
+  - The tables are both enlargeable and compressible.
+  - I/O is buffered, so you can get very fast I/O, specially with
+    large tables.
+  - Very easy to select data through the use of iterators over the
+    rows in tables. Extended slicing is supported as well.
+  - It supports the complete set of NumPy objects.
+ .
+ This is the Python 3 version of the package.
+
+Package: python3-tables-lib
+Architecture: any
+Depends: ${misc:Depends},
          ${python3:Depends},
-         ${misc:Depends}
-Suggests: python-tables-doc (>> 3.4.2-3),
-          python3-netcdf4,
-          vitables
-Replaces: python-tables (<< 3.4.2-1)
-Breaks: python-tables (<< 3.4.2-1)
-Description: hierarchical database for Python3 based on HDF5
- PyTables is a package for managing hierarchical datasets and designed
- to efficiently cope with extremely large amounts of data.
- .
- It is built on top of the HDF5 library and the NumPy package. It
- features an object-oriented interface that, combined with C extensions
- for the performance-critical parts of the code (generated using
- Cython), makes it a fast, yet extremely easy to use tool for
- interactively save and retrieve very large amounts of data. One
- important feature of PyTables is that it optimizes memory and disk
- resources so that they take much less space (between a factor 3 to 5,
- and more if the data is compressible) than other solutions, like for
- example, relational or object oriented databases.
- .
-  - Compound types (records) can be used entirely from Python (i.e. it
-    is not necessary to use C for taking advantage of them).
-  - The tables are both enlargeable and compressible.
-  - I/O is buffered, so you can get very fast I/O, specially with
-    large tables.
-  - Very easy to select data through the use of iterators over the
-    rows in tables. Extended slicing is supported as well.
-  - It supports the complete set of NumPy objects.
- .
- This is the Python 3 version of the package.
-
-Package: python3-tables-lib
-Architecture: any
-Depends: ${python3:Depends},
-         ${shlibs:Depends},
-         ${misc:Depends}
+         ${shlibs:Depends}
 Recommends: python3-tables (= ${source:Version})
 Description: hierarchical database for Python3 based on HDF5 (extension)
  PyTables is a package for managing hierarchical datasets and designed
@@ -230,16 +230,16 @@
 Package: python3-tables-dbg
 Architecture: any
 Section: debug
-Depends: python3-tables (= ${source:Version}),
-         python3-tables-lib (= ${binary:Version}),
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends},
          python3-dbg,
          python3-numpy-dbg,
          python3-numexpr-dbg,
-         ${python3:Depends},
-         ${shlibs:Depends},
-         ${misc:Depends}
-Suggests: python-tables-doc,
-          python3-netcdf4
+         python3-tables (= ${source:Version}),
+         python3-tables-lib (= ${binary:Version})
+Suggests: python3-netcdf4,
+          python-tables-doc
 Description: hierarchical database for Python 3 based on HDF5 (debug extension)
  PyTables is a package for managing hierarchical datasets and designed
  to efficiently cope with extremely large amounts of data.
@@ -274,6 +274,6 @@
          libjs-jquery-cookie
 Suggests: xpdf | pdf-viewer,
           www-browser
+Breaks: python-tables (<< 3.4.2-3)
 Replaces: python-tables (<< 3.4.2-3)
-Breaks: python-tables (<< 3.4.2-3)
 Description: hierarchical database for Python based on HDF5 - documentation

=== debian/rules ===
--- 
+++ 
@@ -4,18 +4,20 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all # ,-pie
 
 include /usr/share/dpkg/pkg-info.mk
-BUILD_DATE="$(shell date --utc --date="${SOURCE_DATE_EPOCH:-$(date +%s)}" +%Y-%m-%d)"
-SPHINXOPTS := -D today=\"$(BUILD_DATE)\"
-SPHINXOPTS += -D html_last_updated_fmt=\"$(BUILD_DATE)\"
+# SOURCE_DATE_EPOCH ?= $(shell date -d "$$(dpkg-parsechangelog -S Date)" +%s)
+BUILD_DATE=$(shell LC_ALL=C date --utc --date="@$(SOURCE_DATE_EPOCH)" "+%B %d, %Y")
+SPHINXOPTS := -D today="$(BUILD_DATE)"
+SPHINXOPTS += -D html_last_updated_fmt="$(BUILD_DATE)"
 
 ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
   export HDF5_DIR := /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
 endif
 
 export PYBUILD_INSTALL_ARGS_python3-dbg=--install-scripts=/usr/bin-dbg/
+export DISABLE_AVX2=1
 
 
 %:
@@ -62,6 +64,7 @@
 	#dh_auto_clean --buildsystem=pybuild
 	$(MAKE) distclean
 	$(RM) -r doc/*.pdf tables.egg-info tmp-locales
+	$(RM) -r .pybuild
 
 
 override_dh_installchangelogs:
